Summary:	Web-based Distributed Authoring and Versioning
Name:		davfs
Version:	0.2.4
%define subrel 3
Release:	%mkrel 13
License:	GPL
Group:		Networking/Other
URL:		http://prdownloads.sourceforge.net/dav/
Source0:	http://prdownloads.sourceforge.net/dav/%{name}-%{version}.tar.bz2
Patch0:		davfs-path.patch
Patch1:		davfs-is_socket_ready.patch
Patch2:		davfs-mount_autofs.patch
Patch3:		davfs-0.2.4-mount_options.patch
Patch4:		davfs-0.2.4-mount_passwd_pipe.patch
Patch5:		davfs-0.2.4-dont-build-module-davfs.patch
Patch6:		davfs-0.2.4-do-not-explictly-insmod-davfs.patch
Patch7:		davfs-0.2.4-64bit-fixes.patch
Patch8:		davfs-0.2.4-gcc-3.3.patch
Patch9:		davfs-0.2.4-CVE-2009-XXXX.diff
Patch10:	davfs-0.2.4-CVE-2009-3560.diff
Provides:	davfs
Requires:	kernel >= 2.4.18
BuildRequires:	autoconf
BuildRequires:	openssl-devel
BuildRoot: 	%{_tmppath}/%{name}-root

%description
WebDAV is an acronym for Web-based Distributed Authoring and Versioning.
Usually http is a read only protocol, but if you install DAV on your web
server, it becomes writable. Furthermore, if you use DAVfs, you can mount your
web server onto your filesystem and can use it as a normal disk.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1 -b .gcc3.3
%patch9 -p0 -b .CVE-2009-XXXX
%patch10 -p0 -b .CVE-2009-3560

# make it lib64 aware
perl -pi -e "/DAVFS_LDADD=/ and s|/lib|/%{_lib}|" configure

%build
%configure \
    --with-ssl
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{/sbin,/usr/sbin}

%makeinstall_std

ln -sf ..%{_sbindir}/mount.davfs %{buildroot}/sbin/mount.davfs 

gzip -9nf ChangeLog

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.gz doc/*.html
/sbin/*
%{_sbindir}/*




%changelog
* Fri Jan 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-13.3mdv2009.1
- P10: security fix for CVE-2009-3560 (new patch. the old patch caused regressions)

* Thu Jan 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-13.2mdv2009.1
- P10: security fix for CVE-2009-3560

* Mon Aug 24 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-13.1mdv2009.1
- P9: security fix related to CVE-2009-2625

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.4-13mdv2009.0
+ Revision: 220573
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-12mdv2008.1
+ Revision: 178760
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-10mdv2007.1
+ Revision: 145518
- use the %%mkrel macro
- bunzip patches

  + Olivier Blin <oblin@mandriva.com>
    - Import davfs

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.4-9mdk
- rebuild for sparc

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-8mdk
- rebuilt against openssl-0.9.8a

